Skip to Main Content
It looks like you're using Internet Explorer 11 or older. This website works best with modern browsers such as the latest versions of Chrome, Firefox, Safari, and Edge. If you continue with this browser, you may see unexpected results.

Brightspace: Student Support

Ensuring you can access Brightspace


Brightspace works on most devices that have an internet connection and can run the compatible browsers as listed below.  As with most technology, the new the better in relation to speed and reliability, but Brightspace will run on older devices.

Internet Speed

Brightspace will run over a slow ADSL broadband connection, but the fast and more reliable your internet connection, the better the experience you will receive.

Browsers

Brightspace is compatible with every version of Windows or Apple operating systems, capable of running any of the supported web browsers listed below.

Desktop Browser Support

Important: You can access Brightspace Learning Environment with older versions of supported browsers; however, D2L does not test Brightspace Learning Environment against these older versions. This means you may encounter unexpected user interface behavior and appearance, or broken and unsupported functionality. In most cases, D2L does not fix software defects experienced in unsupported browser versions.

Note the following:

  • Ensure that JavaScript and cookies are enabled in your browser.
  • Brightspace Learning Environment supports HTML5 Video Player and does not rely on Adobe Flash and Adobe Flash Player. However, you can still create Flash-dependent video content in Brightspace Learning Environment.
  • As of the July 2020/20.20.07 release, Firefox ESR is no longer a supported browser, due to extremely low usage. To support clients through this transition, D2L will fix high-priority issues for Firefox 68 ESR (until the end of September 2020) and Firefox 78 ESR (until the January 2021 release).
  • Brightspace Learning Environment's browser version check displays warnings for browsers earlier than the following versions:
    •  Chrome 81 (released in April 2020)
    •  Chromium-based Edge 81 (released in April 2020)
    • Legacy Edge 44 (not receiving any further updates)
    •  Safari 13 (released in September 2019)
    •  Firefox 76 (releases May 5th, 2020)

Check your browser settings herehttps://community.desire2learn.com/d2l/systemCheck

 

Browser

Supported Browser Version(s)

Microsoft® Edge

Latest

Mozilla® Firefox®

ESR - latest version (including a 12-week overlap with the previous version)

Google® Chrome™

Latest

Apple® Safari®

Latest

Tablet and Mobile Support

Device

Operating System

Browser

Supported Browser Version(s)

Android™

Android 5.0 +

Chrome

Latest

Apple

iOS®

Safari, Chrome

D2Lsupports iOS 10.3.2 and iOS 9.3.5, but not iOS 10.2.1, 9.0.2, or any other version.

Windows

Windows 10

Edge, Chrome, Firefox

Latest of all browsers, and Firefox ESR.

Brightspace Pulse

Brightspace Pulse is optimized for mobile devices and can be downloaded for Android (https://play.google.com/store/apps/details?id=com.d2l.brightspace.student.android) or Apple (https://itunes.apple.com/us/app/brightspace-pulse/id1001688546?ls=1&mt=8) devices.

Android

iOS

Android 4.4 or later on tablets and phones.

iOS 9.0, 10.0 or later on the following devices:

  • iPhone 4s
  • iPhone 5, 5c, 5s
  • iPhone SE
  • iPhone 6, 6 Plus, 6s, 6s Plus
  • iPhone 7, 7 Plus
  • and all newer iPhones
  • iPod touch (5th and 6th generation)